#include <iostream>
#include <fstream>
using namespace std;

int main()
{
    ifstream f1("snton.inp");
    int N;
    f1>>N;
    f1.close();
    ofstream f2("snton.out");

    int i;
    int dem=0;

    for (i=1;i<=N;i++)
    {
        if (N%i==0)
            dem++;
    }
    if (dem==2) f2<<"YES";
    if (dem!=2) f2<<"NO";
    f2.close();
    return 0;
}
